/*

  Q Light Controller Plus
  editchannel.ui

  Copyright (c) 2015 Massimo Callegari

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0.txt

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 
*/

/********************************************************************************
** Form generated from reading UI file 'editchannel.ui'
**
** Created by: Qt User Interface Compiler version 6.8.2
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_EDITCHANNEL_H
#define UI_EDITCHANNEL_H

#include <QtCore/QVariant>
#include <QtGui/QIcon>
#include <QtWidgets/QAbstractButton>
#include <QtWidgets/QApplication>
#include <QtWidgets/QComboBox>
#include <QtWidgets/QDialog>
#include <QtWidgets/QDialogButtonBox>
#include <QtWidgets/QDoubleSpinBox>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QLabel>
#include <QtWidgets/QLineEdit>
#include <QtWidgets/QRadioButton>
#include <QtWidgets/QSpacerItem>
#include <QtWidgets/QSpinBox>
#include <QtWidgets/QTableWidget>
#include <QtWidgets/QToolButton>

QT_BEGIN_NAMESPACE

class Ui_EditChannel
{
public:
    QGridLayout *gridLayout_2;
    QDialogButtonBox *buttonBox;
    QGroupBox *groupBox_2;
    QGridLayout *gridLayout;
    QTableWidget *m_capabilityList;
    QLabel *m_invalidMinMax;
    QToolButton *m_wizardButton;
    QSpacerItem *spacerItem;
    QToolButton *m_removeCapabilityButton;
    QGridLayout *gridLayout_3;
    QSpinBox *m_defaultValSpin;
    QLabel *m_nameLabel;
    QComboBox *m_presetCombo;
    QComboBox *m_typeCombo;
    QLabel *label_4;
    QLabel *m_groupLabel;
    QLabel *m_presetLabel;
    QLineEdit *m_nameEdit;
    QLabel *label_5;
    QHBoxLayout *horizontalLayout;
    QRadioButton *m_msbRadio;
    QRadioButton *m_lsbRadio;
    QGridLayout *m_presetGrid;
    QLabel *m_capPresetLabel;
    QComboBox *m_capPresetCombo;
    QHBoxLayout *horizontalLayout_2;
    QLabel *m_pictureLabel;
    QToolButton *m_pictureButton;
    QLabel *m_color1Label;
    QToolButton *m_color1Button;
    QLabel *m_color2Label;
    QToolButton *m_color2Button;
    QLabel *m_val1Label;
    QDoubleSpinBox *m_val1Spin;
    QLabel *m_val2Label;
    QDoubleSpinBox *m_val2Spin;
    QSpacerItem *horizontalSpacer;
    QGroupBox *m_resourceGroup;
    QGridLayout *gridLayout1;
    QToolButton *m_resourceButton;

    void setupUi(QDialog *EditChannel)
    {
        if (EditChannel->objectName().isEmpty())
            EditChannel->setObjectName("EditChannel");
        EditChannel->resize(800, 700);
        gridLayout_2 = new QGridLayout(EditChannel);
        gridLayout_2->setObjectName("gridLayout_2");
        buttonBox = new QDialogButtonBox(EditChannel);
        buttonBox->setObjectName("buttonBox");
        buttonBox->setOrientation(Qt::Horizontal);
        buttonBox->setStandardButtons(QDialogButtonBox::Cancel|QDialogButtonBox::Ok);

        gridLayout_2->addWidget(buttonBox, 9, 0, 1, 2);

        groupBox_2 = new QGroupBox(EditChannel);
        groupBox_2->setObjectName("groupBox_2");
        QSizePolicy sizePolicy(QSizePolicy::Policy::Preferred, QSizePolicy::Policy::Expanding);
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(groupBox_2->sizePolicy().hasHeightForWidth());
        groupBox_2->setSizePolicy(sizePolicy);
        gridLayout = new QGridLayout(groupBox_2);
        gridLayout->setObjectName("gridLayout");
        m_capabilityList = new QTableWidget(groupBox_2);
        if (m_capabilityList->columnCount() < 3)
            m_capabilityList->setColumnCount(3);
        QTableWidgetItem *__qtablewidgetitem = new QTableWidgetItem();
        m_capabilityList->setHorizontalHeaderItem(0, __qtablewidgetitem);
        QTableWidgetItem *__qtablewidgetitem1 = new QTableWidgetItem();
        m_capabilityList->setHorizontalHeaderItem(1, __qtablewidgetitem1);
        QTableWidgetItem *__qtablewidgetitem2 = new QTableWidgetItem();
        m_capabilityList->setHorizontalHeaderItem(2, __qtablewidgetitem2);
        if (m_capabilityList->rowCount() < 10)
            m_capabilityList->setRowCount(10);
        m_capabilityList->setObjectName("m_capabilityList");
        m_capabilityList->setRowCount(10);
        m_capabilityList->setColumnCount(3);
        m_capabilityList->horizontalHeader()->setCascadingSectionResizes(false);
        m_capabilityList->horizontalHeader()->setDefaultSectionSize(140);
        m_capabilityList->horizontalHeader()->setStretchLastSection(true);
        m_capabilityList->verticalHeader()->setVisible(false);

        gridLayout->addWidget(m_capabilityList, 0, 0, 6, 1);

        m_invalidMinMax = new QLabel(groupBox_2);
        m_invalidMinMax->setObjectName("m_invalidMinMax");
        QSizePolicy sizePolicy1(QSizePolicy::Policy::Preferred, QSizePolicy::Policy::Fixed);
        sizePolicy1.setHorizontalStretch(0);
        sizePolicy1.setVerticalStretch(0);
        sizePolicy1.setHeightForWidth(m_invalidMinMax->sizePolicy().hasHeightForWidth());
        m_invalidMinMax->setSizePolicy(sizePolicy1);

        gridLayout->addWidget(m_invalidMinMax, 6, 0, 1, 1);

        m_wizardButton = new QToolButton(groupBox_2);
        m_wizardButton->setObjectName("m_wizardButton");
        m_wizardButton->setText(QString::fromUtf8("..."));
        QIcon icon;
        icon.addFile(QString::fromUtf8(":/wizard.png"), QSize(), QIcon::Mode::Normal, QIcon::State::Off);
        m_wizardButton->setIcon(icon);
        m_wizardButton->setIconSize(QSize(32, 32));

        gridLayout->addWidget(m_wizardButton, 1, 1, 1, 1);

        spacerItem = new QSpacerItem(20, 84, QSizePolicy::Policy::Minimum, QSizePolicy::Policy::Expanding);

        gridLayout->addItem(spacerItem, 2, 1, 5, 1);

        m_removeCapabilityButton = new QToolButton(groupBox_2);
        m_removeCapabilityButton->setObjectName("m_removeCapabilityButton");
        m_removeCapabilityButton->setText(QString::fromUtf8("..."));
        QIcon icon1;
        icon1.addFile(QString::fromUtf8(":/edit_remove.png"), QSize(), QIcon::Mode::Normal, QIcon::State::Off);
        m_removeCapabilityButton->setIcon(icon1);
        m_removeCapabilityButton->setIconSize(QSize(32, 32));

        gridLayout->addWidget(m_removeCapabilityButton, 0, 1, 1, 1);


        gridLayout_2->addWidget(groupBox_2, 7, 0, 1, 2);

        gridLayout_3 = new QGridLayout();
        gridLayout_3->setObjectName("gridLayout_3");
        m_defaultValSpin = new QSpinBox(EditChannel);
        m_defaultValSpin->setObjectName("m_defaultValSpin");
        QSizePolicy sizePolicy2(QSizePolicy::Policy::Fixed, QSizePolicy::Policy::Fixed);
        sizePolicy2.setHorizontalStretch(0);
        sizePolicy2.setVerticalStretch(0);
        sizePolicy2.setHeightForWidth(m_defaultValSpin->sizePolicy().hasHeightForWidth());
        m_defaultValSpin->setSizePolicy(sizePolicy2);
        m_defaultValSpin->setMaximum(255);

        gridLayout_3->addWidget(m_defaultValSpin, 2, 1, 1, 1);

        m_nameLabel = new QLabel(EditChannel);
        m_nameLabel->setObjectName("m_nameLabel");
        QSizePolicy sizePolicy3(QSizePolicy::Policy::Preferred, QSizePolicy::Policy::Preferred);
        sizePolicy3.setHorizontalStretch(0);
        sizePolicy3.setVerticalStretch(0);
        sizePolicy3.setHeightForWidth(m_nameLabel->sizePolicy().hasHeightForWidth());
        m_nameLabel->setSizePolicy(sizePolicy3);

        gridLayout_3->addWidget(m_nameLabel, 0, 0, 1, 1);

        m_presetCombo = new QComboBox(EditChannel);
        m_presetCombo->setObjectName("m_presetCombo");
        QSizePolicy sizePolicy4(QSizePolicy::Policy::Expanding, QSizePolicy::Policy::Fixed);
        sizePolicy4.setHorizontalStretch(0);
        sizePolicy4.setVerticalStretch(0);
        sizePolicy4.setHeightForWidth(m_presetCombo->sizePolicy().hasHeightForWidth());
        m_presetCombo->setSizePolicy(sizePolicy4);
        m_presetCombo->setIconSize(QSize(24, 24));

        gridLayout_3->addWidget(m_presetCombo, 1, 1, 1, 1);

        m_typeCombo = new QComboBox(EditChannel);
        m_typeCombo->setObjectName("m_typeCombo");
        sizePolicy4.setHeightForWidth(m_typeCombo->sizePolicy().hasHeightForWidth());
        m_typeCombo->setSizePolicy(sizePolicy4);
        m_typeCombo->setIconSize(QSize(24, 24));

        gridLayout_3->addWidget(m_typeCombo, 1, 3, 1, 1);

        label_4 = new QLabel(EditChannel);
        label_4->setObjectName("label_4");

        gridLayout_3->addWidget(label_4, 2, 0, 1, 1);

        m_groupLabel = new QLabel(EditChannel);
        m_groupLabel->setObjectName("m_groupLabel");
        sizePolicy3.setHeightForWidth(m_groupLabel->sizePolicy().hasHeightForWidth());
        m_groupLabel->setSizePolicy(sizePolicy3);

        gridLayout_3->addWidget(m_groupLabel, 1, 2, 1, 1);

        m_presetLabel = new QLabel(EditChannel);
        m_presetLabel->setObjectName("m_presetLabel");

        gridLayout_3->addWidget(m_presetLabel, 1, 0, 1, 1);

        m_nameEdit = new QLineEdit(EditChannel);
        m_nameEdit->setObjectName("m_nameEdit");

        gridLayout_3->addWidget(m_nameEdit, 0, 1, 1, 3);

        label_5 = new QLabel(EditChannel);
        label_5->setObjectName("label_5");

        gridLayout_3->addWidget(label_5, 2, 2, 1, 1);

        horizontalLayout = new QHBoxLayout();
        horizontalLayout->setObjectName("horizontalLayout");
        m_msbRadio = new QRadioButton(EditChannel);
        m_msbRadio->setObjectName("m_msbRadio");

        horizontalLayout->addWidget(m_msbRadio);

        m_lsbRadio = new QRadioButton(EditChannel);
        m_lsbRadio->setObjectName("m_lsbRadio");

        horizontalLayout->addWidget(m_lsbRadio);


        gridLayout_3->addLayout(horizontalLayout, 2, 3, 1, 1);


        gridLayout_2->addLayout(gridLayout_3, 0, 0, 1, 2);

        m_presetGrid = new QGridLayout();
        m_presetGrid->setObjectName("m_presetGrid");
        m_capPresetLabel = new QLabel(EditChannel);
        m_capPresetLabel->setObjectName("m_capPresetLabel");

        m_presetGrid->addWidget(m_capPresetLabel, 0, 0, 1, 1);

        m_capPresetCombo = new QComboBox(EditChannel);
        m_capPresetCombo->setObjectName("m_capPresetCombo");
        m_capPresetCombo->setIconSize(QSize(24, 24));

        m_presetGrid->addWidget(m_capPresetCombo, 0, 1, 1, 2);

        horizontalLayout_2 = new QHBoxLayout();
        horizontalLayout_2->setObjectName("horizontalLayout_2");
        m_pictureLabel = new QLabel(EditChannel);
        m_pictureLabel->setObjectName("m_pictureLabel");

        horizontalLayout_2->addWidget(m_pictureLabel);

        m_pictureButton = new QToolButton(EditChannel);
        m_pictureButton->setObjectName("m_pictureButton");
        m_pictureButton->setText(QString::fromUtf8("..."));

        horizontalLayout_2->addWidget(m_pictureButton);

        m_color1Label = new QLabel(EditChannel);
        m_color1Label->setObjectName("m_color1Label");

        horizontalLayout_2->addWidget(m_color1Label);

        m_color1Button = new QToolButton(EditChannel);
        m_color1Button->setObjectName("m_color1Button");
        m_color1Button->setText(QString::fromUtf8(""));
        QIcon icon2;
        icon2.addFile(QString::fromUtf8(":/color.png"), QSize(), QIcon::Mode::Normal, QIcon::State::Off);
        m_color1Button->setIcon(icon2);
        m_color1Button->setIconSize(QSize(32, 32));

        horizontalLayout_2->addWidget(m_color1Button);

        m_color2Label = new QLabel(EditChannel);
        m_color2Label->setObjectName("m_color2Label");

        horizontalLayout_2->addWidget(m_color2Label);

        m_color2Button = new QToolButton(EditChannel);
        m_color2Button->setObjectName("m_color2Button");
        m_color2Button->setEnabled(false);
        m_color2Button->setText(QString::fromUtf8(""));
        m_color2Button->setIcon(icon2);
        m_color2Button->setIconSize(QSize(32, 32));

        horizontalLayout_2->addWidget(m_color2Button);

        m_val1Label = new QLabel(EditChannel);
        m_val1Label->setObjectName("m_val1Label");

        horizontalLayout_2->addWidget(m_val1Label);

        m_val1Spin = new QDoubleSpinBox(EditChannel);
        m_val1Spin->setObjectName("m_val1Spin");
        m_val1Spin->setMaximum(999.990000000000009);

        horizontalLayout_2->addWidget(m_val1Spin);

        m_val2Label = new QLabel(EditChannel);
        m_val2Label->setObjectName("m_val2Label");

        horizontalLayout_2->addWidget(m_val2Label);

        m_val2Spin = new QDoubleSpinBox(EditChannel);
        m_val2Spin->setObjectName("m_val2Spin");
        m_val2Spin->setMaximum(999.990000000000009);

        horizontalLayout_2->addWidget(m_val2Spin);

        horizontalSpacer = new QSpacerItem(40, 20, QSizePolicy::Policy::Expanding, QSizePolicy::Policy::Minimum);

        horizontalLayout_2->addItem(horizontalSpacer);


        m_presetGrid->addLayout(horizontalLayout_2, 1, 0, 1, 3);

        m_resourceGroup = new QGroupBox(EditChannel);
        m_resourceGroup->setObjectName("m_resourceGroup");
        m_resourceGroup->setAlignment(Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter);
        gridLayout1 = new QGridLayout(m_resourceGroup);
        gridLayout1->setObjectName("gridLayout1");
        gridLayout1->setContentsMargins(-1, 0, -1, 0);
        m_resourceButton = new QToolButton(m_resourceGroup);
        m_resourceButton->setObjectName("m_resourceButton");
        m_resourceButton->setEnabled(true);
        m_resourceButton->setMinimumSize(QSize(64, 64));
        m_resourceButton->setIconSize(QSize(64, 64));
        m_resourceButton->setArrowType(Qt::NoArrow);

        gridLayout1->addWidget(m_resourceButton, 0, 0, 1, 1);


        m_presetGrid->addWidget(m_resourceGroup, 0, 3, 2, 1);


        gridLayout_2->addLayout(m_presetGrid, 8, 0, 1, 2);

        QWidget::setTabOrder(m_nameEdit, m_presetCombo);
        QWidget::setTabOrder(m_presetCombo, m_typeCombo);
        QWidget::setTabOrder(m_typeCombo, m_defaultValSpin);
        QWidget::setTabOrder(m_defaultValSpin, m_msbRadio);
        QWidget::setTabOrder(m_msbRadio, m_lsbRadio);
        QWidget::setTabOrder(m_lsbRadio, m_capabilityList);
        QWidget::setTabOrder(m_capabilityList, m_capPresetCombo);
        QWidget::setTabOrder(m_capPresetCombo, m_pictureButton);
        QWidget::setTabOrder(m_pictureButton, m_color1Button);
        QWidget::setTabOrder(m_color1Button, m_color2Button);
        QWidget::setTabOrder(m_color2Button, m_val1Spin);
        QWidget::setTabOrder(m_val1Spin, m_val2Spin);
        QWidget::setTabOrder(m_val2Spin, m_removeCapabilityButton);
        QWidget::setTabOrder(m_removeCapabilityButton, m_wizardButton);
        QWidget::setTabOrder(m_wizardButton, m_resourceButton);

        retranslateUi(EditChannel);
        QObject::connect(buttonBox, &QDialogButtonBox::accepted, EditChannel, qOverload<>(&QDialog::accept));
        QObject::connect(buttonBox, &QDialogButtonBox::rejected, EditChannel, qOverload<>(&QDialog::reject));

        QMetaObject::connectSlotsByName(EditChannel);
    } // setupUi

    void retranslateUi(QDialog *EditChannel)
    {
        EditChannel->setWindowTitle(QCoreApplication::translate("EditChannel", "Edit Channel", nullptr));
        groupBox_2->setTitle(QCoreApplication::translate("EditChannel", "Capabilities", nullptr));
        QTableWidgetItem *___qtablewidgetitem = m_capabilityList->horizontalHeaderItem(0);
        ___qtablewidgetitem->setText(QCoreApplication::translate("EditChannel", "Minimum value", nullptr));
        QTableWidgetItem *___qtablewidgetitem1 = m_capabilityList->horizontalHeaderItem(1);
        ___qtablewidgetitem1->setText(QCoreApplication::translate("EditChannel", "Maximum value", nullptr));
        QTableWidgetItem *___qtablewidgetitem2 = m_capabilityList->horizontalHeaderItem(2);
        ___qtablewidgetitem2->setText(QCoreApplication::translate("EditChannel", "Description", nullptr));
        m_invalidMinMax->setText(QCoreApplication::translate("EditChannel", "<font color=\"red\"><b>Capability overlapping detected. Please fix.</b></font>", nullptr));
#if QT_CONFIG(tooltip)
        m_wizardButton->setToolTip(QCoreApplication::translate("EditChannel", "Capability wizard", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        m_removeCapabilityButton->setToolTip(QCoreApplication::translate("EditChannel", "Remove the selected capability", nullptr));
#endif // QT_CONFIG(tooltip)
        m_nameLabel->setText(QCoreApplication::translate("EditChannel", "Name", nullptr));
#if QT_CONFIG(tooltip)
        m_typeCombo->setToolTip(QCoreApplication::translate("EditChannel", "The group this channel belongs to", nullptr));
#endif // QT_CONFIG(tooltip)
        label_4->setText(QCoreApplication::translate("EditChannel", "Default value", nullptr));
        m_groupLabel->setText(QCoreApplication::translate("EditChannel", "Type", nullptr));
        m_presetLabel->setText(QCoreApplication::translate("EditChannel", "Preset", nullptr));
#if QT_CONFIG(tooltip)
        m_nameEdit->setToolTip(QCoreApplication::translate("EditChannel", "The name of this channel", nullptr));
#endif // QT_CONFIG(tooltip)
        label_5->setText(QCoreApplication::translate("EditChannel", "Role", nullptr));
        m_msbRadio->setText(QCoreApplication::translate("EditChannel", "Coarse (MSB)", nullptr));
        m_lsbRadio->setText(QCoreApplication::translate("EditChannel", "Fine (LSB)", nullptr));
        m_capPresetLabel->setText(QCoreApplication::translate("EditChannel", "Preset", nullptr));
        m_pictureLabel->setText(QCoreApplication::translate("EditChannel", "Picture", nullptr));
        m_color1Label->setText(QCoreApplication::translate("EditChannel", "Color 1", nullptr));
        m_color2Label->setText(QCoreApplication::translate("EditChannel", "Color 2", nullptr));
        m_val1Label->setText(QCoreApplication::translate("EditChannel", "Value 1", nullptr));
        m_val2Label->setText(QCoreApplication::translate("EditChannel", "Value 2", nullptr));
        m_resourceGroup->setTitle(QCoreApplication::translate("EditChannel", "Preview", nullptr));
        m_resourceButton->setText(QString());
    } // retranslateUi

};

namespace Ui {
    class EditChannel: public Ui_EditChannel {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_EDITCHANNEL_H
