/*

  Q Light Controller Plus
  configureosc.ui

  Copyright (c) 2015 Massimo Callegari

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0.txt

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 
*/

/********************************************************************************
** Form generated from reading UI file 'configureosc.ui'
**
** Created by: Qt User Interface Compiler version 6.8.2
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_CONFIGUREOSC_H
#define UI_CONFIGUREOSC_H

#include <QtCore/QVariant>
#include <QtGui/QIcon>
#include <QtWidgets/QAbstractButton>
#include <QtWidgets/QApplication>
#include <QtWidgets/QDialog>
#include <QtWidgets/QDialogButtonBox>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QLabel>
#include <QtWidgets/QLineEdit>
#include <QtWidgets/QSpacerItem>
#include <QtWidgets/QSpinBox>
#include <QtWidgets/QTabWidget>
#include <QtWidgets/QTreeWidget>
#include <QtWidgets/QVBoxLayout>
#include <QtWidgets/QWidget>

QT_BEGIN_NAMESPACE

class Ui_ConfigureOSC
{
public:
    QGridLayout *gridLayout;
    QTabWidget *tabWidget;
    QWidget *tab;
    QVBoxLayout *verticalLayout;
    QTreeWidget *m_uniMapTree;
    QHBoxLayout *horizontalLayout_3;
    QLabel *label_3;
    QSpinBox *m_waitReadySpin;
    QSpacerItem *horizontalSpacer;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout_2;
    QHBoxLayout *horizontalLayout;
    QLabel *label;
    QLineEdit *m_oscPathEdit;
    QLabel *label_2;
    QSpinBox *m_chNumSpin;
    QDialogButtonBox *m_buttonBox;

    void setupUi(QDialog *ConfigureOSC)
    {
        if (ConfigureOSC->objectName().isEmpty())
            ConfigureOSC->setObjectName("ConfigureOSC");
        ConfigureOSC->resize(560, 410);
        QIcon icon;
        icon.addFile(QString::fromUtf8(":/input_output.png"), QSize(), QIcon::Mode::Normal, QIcon::State::Off);
        ConfigureOSC->setWindowIcon(icon);
        gridLayout = new QGridLayout(ConfigureOSC);
        gridLayout->setObjectName("gridLayout");
        tabWidget = new QTabWidget(ConfigureOSC);
        tabWidget->setObjectName("tabWidget");
        tab = new QWidget();
        tab->setObjectName("tab");
        verticalLayout = new QVBoxLayout(tab);
        verticalLayout->setObjectName("verticalLayout");
        m_uniMapTree = new QTreeWidget(tab);
        m_uniMapTree->setObjectName("m_uniMapTree");
        m_uniMapTree->setAlternatingRowColors(true);
        m_uniMapTree->setRootIsDecorated(false);

        verticalLayout->addWidget(m_uniMapTree);

        horizontalLayout_3 = new QHBoxLayout();
        horizontalLayout_3->setObjectName("horizontalLayout_3");
        label_3 = new QLabel(tab);
        label_3->setObjectName("label_3");

        horizontalLayout_3->addWidget(label_3);

        m_waitReadySpin = new QSpinBox(tab);
        m_waitReadySpin->setObjectName("m_waitReadySpin");
        QSizePolicy sizePolicy(QSizePolicy::Policy::MinimumExpanding, QSizePolicy::Policy::Fixed);
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(m_waitReadySpin->sizePolicy().hasHeightForWidth());
        m_waitReadySpin->setSizePolicy(sizePolicy);

        horizontalLayout_3->addWidget(m_waitReadySpin);

        horizontalSpacer = new QSpacerItem(40, 20, QSizePolicy::Policy::Expanding, QSizePolicy::Policy::Minimum);

        horizontalLayout_3->addItem(horizontalSpacer);


        verticalLayout->addLayout(horizontalLayout_3);

        groupBox = new QGroupBox(tab);
        groupBox->setObjectName("groupBox");
        horizontalLayout_2 = new QHBoxLayout(groupBox);
        horizontalLayout_2->setObjectName("horizontalLayout_2");
        horizontalLayout = new QHBoxLayout();
        horizontalLayout->setObjectName("horizontalLayout");
        label = new QLabel(groupBox);
        label->setObjectName("label");

        horizontalLayout->addWidget(label);

        m_oscPathEdit = new QLineEdit(groupBox);
        m_oscPathEdit->setObjectName("m_oscPathEdit");

        horizontalLayout->addWidget(m_oscPathEdit);

        label_2 = new QLabel(groupBox);
        label_2->setObjectName("label_2");

        horizontalLayout->addWidget(label_2);

        m_chNumSpin = new QSpinBox(groupBox);
        m_chNumSpin->setObjectName("m_chNumSpin");
        m_chNumSpin->setReadOnly(true);
        m_chNumSpin->setButtonSymbols(QAbstractSpinBox::NoButtons);
        m_chNumSpin->setMaximum(99999);

        horizontalLayout->addWidget(m_chNumSpin);


        horizontalLayout_2->addLayout(horizontalLayout);


        verticalLayout->addWidget(groupBox);

        tabWidget->addTab(tab, QString());

        gridLayout->addWidget(tabWidget, 0, 0, 1, 1);

        m_buttonBox = new QDialogButtonBox(ConfigureOSC);
        m_buttonBox->setObjectName("m_buttonBox");
        m_buttonBox->setStandardButtons(QDialogButtonBox::Cancel|QDialogButtonBox::Ok);

        gridLayout->addWidget(m_buttonBox, 1, 0, 1, 2);


        retranslateUi(ConfigureOSC);
        QObject::connect(m_buttonBox, &QDialogButtonBox::accepted, ConfigureOSC, qOverload<>(&QDialog::accept));
        QObject::connect(m_buttonBox, &QDialogButtonBox::rejected, ConfigureOSC, qOverload<>(&QDialog::reject));

        tabWidget->setCurrentIndex(0);


        QMetaObject::connectSlotsByName(ConfigureOSC);
    } // setupUi

    void retranslateUi(QDialog *ConfigureOSC)
    {
        ConfigureOSC->setWindowTitle(QCoreApplication::translate("ConfigureOSC", "OSC Plugin Configuration", nullptr));
        QTreeWidgetItem *___qtreewidgetitem = m_uniMapTree->headerItem();
        ___qtreewidgetitem->setText(4, QCoreApplication::translate("ConfigureOSC", "Output Port", nullptr));
        ___qtreewidgetitem->setText(3, QCoreApplication::translate("ConfigureOSC", "Output Address", nullptr));
        ___qtreewidgetitem->setText(2, QCoreApplication::translate("ConfigureOSC", "Input Port", nullptr));
        ___qtreewidgetitem->setText(1, QCoreApplication::translate("ConfigureOSC", "Universe", nullptr));
        ___qtreewidgetitem->setText(0, QCoreApplication::translate("ConfigureOSC", "Interface", nullptr));
        label_3->setText(QCoreApplication::translate("ConfigureOSC", "Seconds to wait for an interface to be ready", nullptr));
        groupBox->setTitle(QCoreApplication::translate("ConfigureOSC", "Channel number calculator", nullptr));
        label->setText(QCoreApplication::translate("ConfigureOSC", "OSC path", nullptr));
        label_2->setText(QCoreApplication::translate("ConfigureOSC", "Channel number", nullptr));
        tabWidget->setTabText(tabWidget->indexOf(tab), QCoreApplication::translate("ConfigureOSC", "Universes Configuration", nullptr));
    } // retranslateUi

};

namespace Ui {
    class ConfigureOSC: public Ui_ConfigureOSC {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_CONFIGUREOSC_H
