/*

  Q Light Controller Plus
  vcxypadfixtureeditor.ui

  Copyright (c) 2015 Massimo Callegari

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0.txt

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 
*/

/********************************************************************************
** Form generated from reading UI file 'vcxypadfixtureeditor.ui'
**
** Created by: Qt User Interface Compiler version 6.8.2
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_VCXYPADFIXTUREEDITOR_H
#define UI_VCXYPADFIXTUREEDITOR_H

#include <QtCore/QVariant>
#include <QtWidgets/QAbstractButton>
#include <QtWidgets/QApplication>
#include <QtWidgets/QCheckBox>
#include <QtWidgets/QDialog>
#include <QtWidgets/QDialogButtonBox>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QLabel>
#include <QtWidgets/QSpinBox>

QT_BEGIN_NAMESPACE

class Ui_VCXYPadFixtureEditor
{
public:
    QGridLayout *gridLayout_3;
    QGroupBox *m_xGroup;
    QGridLayout *gridLayout_2;
    QLabel *label;
    QSpinBox *m_xMin;
    QLabel *label_2;
    QSpinBox *m_xMax;
    QCheckBox *m_xReverse;
    QGroupBox *m_yGroup;
    QGridLayout *gridLayout;
    QLabel *label_3;
    QSpinBox *m_yMin;
    QLabel *label_4;
    QSpinBox *m_yMax;
    QCheckBox *m_yReverse;
    QDialogButtonBox *m_buttonBox;

    void setupUi(QDialog *VCXYPadFixtureEditor)
    {
        if (VCXYPadFixtureEditor->objectName().isEmpty())
            VCXYPadFixtureEditor->setObjectName("VCXYPadFixtureEditor");
        VCXYPadFixtureEditor->resize(347, 190);
        gridLayout_3 = new QGridLayout(VCXYPadFixtureEditor);
        gridLayout_3->setObjectName("gridLayout_3");
        m_xGroup = new QGroupBox(VCXYPadFixtureEditor);
        m_xGroup->setObjectName("m_xGroup");
        gridLayout_2 = new QGridLayout(m_xGroup);
        gridLayout_2->setObjectName("gridLayout_2");
        label = new QLabel(m_xGroup);
        label->setObjectName("label");

        gridLayout_2->addWidget(label, 0, 0, 1, 1);

        m_xMin = new QSpinBox(m_xGroup);
        m_xMin->setObjectName("m_xMin");
        m_xMin->setMaximum(99);

        gridLayout_2->addWidget(m_xMin, 0, 1, 1, 1);

        label_2 = new QLabel(m_xGroup);
        label_2->setObjectName("label_2");

        gridLayout_2->addWidget(label_2, 1, 0, 1, 1);

        m_xMax = new QSpinBox(m_xGroup);
        m_xMax->setObjectName("m_xMax");
        m_xMax->setMinimum(1);
        m_xMax->setMaximum(100);
        m_xMax->setValue(100);

        gridLayout_2->addWidget(m_xMax, 1, 1, 1, 1);

        m_xReverse = new QCheckBox(m_xGroup);
        m_xReverse->setObjectName("m_xReverse");

        gridLayout_2->addWidget(m_xReverse, 2, 0, 1, 2);


        gridLayout_3->addWidget(m_xGroup, 0, 0, 1, 1);

        m_yGroup = new QGroupBox(VCXYPadFixtureEditor);
        m_yGroup->setObjectName("m_yGroup");
        gridLayout = new QGridLayout(m_yGroup);
        gridLayout->setObjectName("gridLayout");
        label_3 = new QLabel(m_yGroup);
        label_3->setObjectName("label_3");

        gridLayout->addWidget(label_3, 0, 0, 1, 1);

        m_yMin = new QSpinBox(m_yGroup);
        m_yMin->setObjectName("m_yMin");
        m_yMin->setMaximum(99);

        gridLayout->addWidget(m_yMin, 0, 1, 1, 1);

        label_4 = new QLabel(m_yGroup);
        label_4->setObjectName("label_4");

        gridLayout->addWidget(label_4, 1, 0, 1, 1);

        m_yMax = new QSpinBox(m_yGroup);
        m_yMax->setObjectName("m_yMax");
        m_yMax->setMinimum(1);
        m_yMax->setMaximum(100);
        m_yMax->setValue(100);

        gridLayout->addWidget(m_yMax, 1, 1, 1, 1);

        m_yReverse = new QCheckBox(m_yGroup);
        m_yReverse->setObjectName("m_yReverse");

        gridLayout->addWidget(m_yReverse, 2, 0, 1, 2);


        gridLayout_3->addWidget(m_yGroup, 0, 1, 1, 1);

        m_buttonBox = new QDialogButtonBox(VCXYPadFixtureEditor);
        m_buttonBox->setObjectName("m_buttonBox");
        m_buttonBox->setOrientation(Qt::Horizontal);
        m_buttonBox->setStandardButtons(QDialogButtonBox::Cancel|QDialogButtonBox::Ok);

        gridLayout_3->addWidget(m_buttonBox, 1, 0, 1, 2);


        retranslateUi(VCXYPadFixtureEditor);
        QObject::connect(m_buttonBox, &QDialogButtonBox::accepted, VCXYPadFixtureEditor, qOverload<>(&QDialog::accept));
        QObject::connect(m_buttonBox, &QDialogButtonBox::rejected, VCXYPadFixtureEditor, qOverload<>(&QDialog::reject));
        QObject::connect(m_xMin, SIGNAL(valueChanged(int)), VCXYPadFixtureEditor, SLOT(slotXMinChanged(int)));
        QObject::connect(m_xMax, SIGNAL(valueChanged(int)), VCXYPadFixtureEditor, SLOT(slotXMaxChanged(int)));
        QObject::connect(m_yMin, SIGNAL(valueChanged(int)), VCXYPadFixtureEditor, SLOT(slotYMinChanged(int)));
        QObject::connect(m_yMax, SIGNAL(valueChanged(int)), VCXYPadFixtureEditor, SLOT(slotYMaxChanged(int)));

        QMetaObject::connectSlotsByName(VCXYPadFixtureEditor);
    } // setupUi

    void retranslateUi(QDialog *VCXYPadFixtureEditor)
    {
        VCXYPadFixtureEditor->setWindowTitle(QCoreApplication::translate("VCXYPadFixtureEditor", "XY Pad Fixture", nullptr));
        m_xGroup->setTitle(QCoreApplication::translate("VCXYPadFixtureEditor", "Horizontal X-Axis", nullptr));
        label->setText(QCoreApplication::translate("VCXYPadFixtureEditor", "Minimum", nullptr));
        m_xMin->setSuffix(QCoreApplication::translate("VCXYPadFixtureEditor", "%", nullptr));
        label_2->setText(QCoreApplication::translate("VCXYPadFixtureEditor", "Maximum", nullptr));
        m_xMax->setSuffix(QCoreApplication::translate("VCXYPadFixtureEditor", "%", nullptr));
        m_xReverse->setText(QCoreApplication::translate("VCXYPadFixtureEditor", "Reverse", nullptr));
        m_yGroup->setTitle(QCoreApplication::translate("VCXYPadFixtureEditor", "Vertical Y-Axis", nullptr));
        label_3->setText(QCoreApplication::translate("VCXYPadFixtureEditor", "Minimum", nullptr));
        m_yMin->setSuffix(QCoreApplication::translate("VCXYPadFixtureEditor", "%", nullptr));
        label_4->setText(QCoreApplication::translate("VCXYPadFixtureEditor", "Maximum", nullptr));
        m_yMax->setSuffix(QCoreApplication::translate("VCXYPadFixtureEditor", "%", nullptr));
        m_yReverse->setText(QCoreApplication::translate("VCXYPadFixtureEditor", "Reverse", nullptr));
    } // retranslateUi

};

namespace Ui {
    class VCXYPadFixtureEditor: public Ui_VCXYPadFixtureEditor {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_VCXYPADFIXTUREEDITOR_H
